--- configure.orig	2002-04-11 11:58:33.000000000 +0900
+++ configure	2020-11-21 16:49:08.000000000 +0900
@@ -5140,7 +5140,7 @@
     fix_srcfile_path='`cygpath -w "$srcfile"`'
     ;;
 
-  darwin* | rhapsody*)
+  darwin1.[012] | rhapsody*)
     allow_undefined_flag='-undefined suppress'
     # FIXME: Relying on posixy $() will cause problems for
     #        cross-compilation, but unfortunately the echo tests do not
@@ -5153,6 +5153,24 @@
     whole_archive_flag_spec='-all_load $convenience'
     ;;
 
+  darwin*)
+    case ${MACOSX_DEPLOYMENT_TARGET},$host in
+      10.[012],*|,*powerpc*)
+        allow_undefined_flag='-undefined suppress' ;;
+      *)
+        allow_undefined_flag='-undefined dynamic_lookup' ;;
+    esac
+    # FIXME: Relying on posixy $() will cause problems for
+    #        cross-compilation, but unfortunately the echo tests do not
+    #        yet detect zsh echo's removal of \ escapes.
+    archive_cmds='$CC $(test .$module = .yes && echo -bundle || echo -dynamiclib) $allow_undefined_flag -o $lib $libobjs $deplibs$linkopts -install_name $rpath/$soname $(test -n "$verstring" -a x$verstring != x0.0 && echo $verstring)'
+    # We need to add '_' to the symbols in $export_symbols first
+    #archive_expsym_cmds="$archive_cmds"' && strip -s $export_symbols'
+    hardcode_direct=yes
+    hardcode_shlibpath_var=no
+    whole_archive_flag_spec='-all_load $convenience'
+    ;;
+
   freebsd1*)
     ld_shlibs=no
     ;;
@@ -11150,7 +11168,7 @@
 ac_cv_flibs=
 
 # Save positional arguments (if any)
-ac_save_positional="$@"
+#ac_save_positional="$@"
 
 set X $ac_f77_v_output
 while test $# != 1; do
